%global momorel 7
# Define this if you want to skip the strip step and preserve debug info.
# Useful for testing. 
#define __os_install_post /usr/lib/rpm/brp-compress || :

Summary: An unwinding library
Name: libunwind
# Latest libunwind release.
Version: 0.99
%define frysksnap 20070405cvs
%define upstreamsnap 070224
Release: 0.1.frysk%{frysksnap}.%{momorel}m%{?dist}
License: BSD
Group: Development/Debuggers
Source0: http://download.savannah.nongnu.org/releases/libunwind/libunwind-snap-%{upstreamsnap}.tar.gz 
NoSource: 0
Patch1: libunwind-snap-%{upstreamsnap}-frysk%{frysksnap}.patch
Patch2: libunwind-snap-070224-orphanripper.patch
Patch3: libunwind-snap-070224-multilib-rh342451.patch
Source1: libunwind-orphanripper.c
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://savannah.nongnu.org/projects/libunwind
ExclusiveArch: ia64 x86_64 %{ix86} ppc64

BuildRequires: glibc gcc make tar gzip
BuildRequires: automake libtool autoconf

%description
Libunwind provides a C ABI to determine the call-chain of a program.
This version of libunwind is targetted for the ia64 platform.

%package devel
Summary: Development package for libunwind
Group: Development/Debuggers
Requires: libunwind = %{PACKAGE_VERSION}
%description devel
The libunwind-devel package includes the libraries and header files for
libunwind.

%prep
%setup -q -n %{name}-%{version}-alpha

%patch1 -p1 -E
# New files from Patch1:
chmod +x tests/run-ptrace-stepper
chmod +x tests/run-ptrace-signull
# update timestamps to skip re-compilation
touch -c doc/*.man

%patch2 -p1 -E
cp -p %{SOURCE1} tests/orphanripper.c

%patch3 -p1 -E

%build
mkdir -p config
aclocal
libtoolize
autoheader
automake --add-missing
autoconf
%configure --disable-static --enable-shared
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall  transform='s,x,x,'

rm -f %{buildroot}/%{_libdir}/libunwind*.la

%check
make check || true

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README NEWS
%{_libdir}/libunwind*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libunwind*.so
%{_mandir}/*/*
%{_includedir}/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99-0.1.frysk20070405cvs.7m)
- rebuild against gcc43

* Sat Mar 15 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.99-0.1.frysk20070405cvs.6m)
- fix compilation issue with tmpfs

* Sat Mar 15 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.99-0.1.frysk20070405cvs.5m)
- import two fixes from fedora 
- fix libunwind-snap-070224-frysk20070405cvs.patch

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.99-0.1.frysk20070405cvs.4m)
- %%NoSource -> NoSource

* Tue Dec  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99-0.2.20070405cvs.3m)
- cut off "arch-momonga-linux-" from man files names

* Sun Sep  9 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.99-0.2.20070405cvs.2m)
- revise spec
-- replace __spec_install_post with __os_install_post

* Wed May 30 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99-0.2.20070405cvs.1m)
- sync with fc-devel again

* Mon Apr 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.99-0.2.20070405.1m)
- sync with fc-devel (libunwind-0_99-0_2_frysk20070405cvs_fc7)
-- Use the Frysk's modified version
-- Split the package to its base and the `devel' part.

* Sat Oct 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.98.2-1m)
- import from centos

* Tue Mar 01 2005 Jeff Johnston <jjohnstn@redhat.com>	0.98.2.3
- Bump up release number

* Thu Nov 11 2004 Jeff Johnston <jjohnstn@redhat.com>	0.98.2.2
- Import version 0.98.2.

* Wed Nov 10 2004 Jeff Johnston <jjohnstn@redhat.com>	0.97.6
- Bump up release number

* Thu Aug 19 2004 Jeff Johnston <jjohnstn@redhat.com>	0.97.3
- Remove debug file from files list.

* Fri Aug 13 2004 Jeff Johnston <jjohnstn@redhat.com>	0.97.2
- Import version 0.97.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 09 2004  Elena Zannoni <ezannoni@redhat.com>	0.96.4
- Bump release number.

* Mon Feb 23 2004  Elena Zannoni <ezannoni@redhat.com>	0.96.3
- Bump release number.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004  Jeff Johnston <jjohnstn@redhat.com>	0.96.1
- Import version 0.96.

* Tue Jan 06 2004  Jeff Johnston <jjohnstn@redhat.com>	0.92.2
- Bump release number.

* Mon Oct 06 2003  Jeff Johnston <jjohnstn@redhat.com>	0.92.1
- Initial release

